# $Revision: 1.46 $, $Date: 2004/12/02 13:13:40 $
Summary:	Simple but versatile editor for X11
Summary(pl):	Prosty ale wszechstronny edytor dla X11
Name:		gnotepad+
Version:	1.3.3
Release:	6
License:	GPL
Group:		Applications/Editors
Source0:	http://dl.sourceforge.net/gnotepad/%{name}-%{version}.tar.gz
# Source0-md5:	00f1de16e84cbbe65d85acc542b2791f
Patch0:		%{name}-desktop.patch
URL:		http://gnotepad.sourceforge.net/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	gettext-devel
BuildRequires:	gnome-libs-devel
#BuildRequires:	gtkhtml-devel
BuildRequires:	libtool
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
gnotepad+ is an easy-to-use, yet fairly feature-rich, simple text
editor for systems running X11 and using GTK+. It is designed for as
little bloat as possible, while still providing many of the common
features found in a modern GUI-based text editor.

%description -l pl
gnotepad+ to prosty w uyciu, majcy ju sporo moliwoci edytor
zwykego tekstu dla systemw z X11 i GTK+. Zosta tak zaprojektowany,
by by moliwie maym, ale mie wiele moliwoci spotykanych we
wspczesnych edytorach tekstu z graficznym interfejsem uytkownika.

%prep
%setup -q
%patch0 -p1

%build
rm -f missing
%{__libtoolize}
%{__gettextize}
%{__aclocal}
%{__autoconf}
%{__automake}
# does not compile with gtkhtml-1.0.
%configure \
	--enable-gnome \
	--enable-gtkhtml=no
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	Applicationsdir=%{_applnkdir}/Editors

%find_lang %{name} --with-gnome

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS NEWS README TODO ChangeLog
%attr(755,root,root) %{_bindir}/gnp
%{_mandir}/man1/*
%{_applnkdir}/Editors/gnotepad+.desktop
%{_datadir}/gnotepad+

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: gnotepad+.spec,v $
Revision 1.46  2004/12/02 13:13:40  paladine
- added desktop patch
- sorted BRs
- rel 6 STBR

Revision 1.45  2004/08/25 13:27:03  undefine
- release 5

Revision 1.44  2003/05/26 16:25:03  malekith
- massive attack: adding Source-md5

Revision 1.43  2003/05/25 05:48:15  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.42  2003/05/06 11:30:20  qboosh
- use http for sources from sourceforge

Revision 1.41  2003/03/22 11:37:31  qrczak
Typo.

Revision 1.40  2003/01/18 22:50:07  juandon
- removed two lines with define

Revision 1.39  2002/10/30 12:53:17  ankry
- desktop moved to toplevel Editors, rel. 4
- disbled gtkhtml support (needs older API)

Revision 1.38  2002/10/09 13:14:27  kloczek
- use more macros, some cosmetics, added missing "rm -f missing" and use new %doc

Revision 1.37  2002/06/23 20:52:51  kloczek
perl -pi -e "s/^gettextize --copy --force/\%%\{__gettextize\}/"

Revision 1.36  2002/06/23 20:32:28  kloczek
- perl -pi -e "s/^libtoolize --copy --force/\%\{__libtoolize\}/"

Revision 1.35  2002/05/21 23:13:18  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.34  2002/05/12 23:28:08  marcus
- rel.3.

Revision 1.33  2002/04/25 16:27:22  arturs
fixed a small typo

Revision 1.32  2002/03/24 23:28:18  kloczek
- perl -pi -e "s/^automake -a -c$/automake -a -c -f/"

Revision 1.31  2002/02/22 23:28:59  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.30  2002/01/18 02:13:09  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.29  2001/11/29 12:08:35  qboosh
- pl translations

Revision 1.28  2001/05/30 08:32:51  kloczek
- relase 2: regenerate ac/am/lt files.

Revision 1.27  2001/01/03 19:38:57  kloczek
- updated to 1.3.3.

Revision 1.26  2000/11/18 21:08:41  kloczek
- updated to 1.3.2.

Revision 1.25  2000/10/27 07:37:15  kloczek
- release 4,
- use new rpm automaion,
- rebuild against gnome-libs linked with db3.

Revision 1.24  2000/09/08 20:53:55  kloczek
- adapterized.

Revision 1.23  2000/09/08 11:05:45  baggins
- release 2
- recompile with libpng 1.0.8

Revision 1.22  2000/06/13 20:08:03  kloczek
- changed Source url to ftp://download.sourceforge.net/pub/sourceforge/*.

Revision 1.21  2000/06/09 07:54:41  kloczek
- more %%{__make} macros.

Revision 1.20  2000/06/09 07:22:52  kloczek
- added using %%{__make} macro.

Revision 1.19  2000/06/07 22:55:39  kloczek
- updated to 1.3.1.

Revision 1.18  2000/05/30 14:29:18  michuz
- release 2
- %%applnkdir changed

Revision 1.17  2000/05/20 13:53:43  kloczek
- spec adapterized.

Revision 1.16  2000/05/10 21:36:12  kloczek
- updated to 1.3.0.

Revision 1.15  2000/05/03 20:02:19  kloczek
- updated to 1.2.2,
- removed applnk patch,
- adeed using %%{_applnkdir} %%{find_lang} macros.

Revision 1.14  2000/04/01 11:14:40  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.13  2000/03/28 16:54:22  baggins
- translated kloczkish into english

Revision 1.12  2000/01/27 19:25:19  kloczek
- release 4,
- spec adapterized,
- recompiled in new enviroment with libesd not depends on liasound.

Revision 1.11  1999/09/29 19:22:54  kloczek
- release 3,
- desktop file install in applnk directory tree.

Revision 1.10  1999/08/05 15:51:45  kloczek
- typo.

Revision 1.9  1999/08/05 15:50:16  kloczek
- updated to 1.1.4,
- updated URL,
- added full Source url,
- added Grouop(pl),
- added BuildRequires rules,
- added using %%configure and DESTDIR style install,
- removed Sourc1 (desktop file is in current version source code).
- added --enable-gnome to ./configure parameters.

Revision 1.8  1999/07/20 12:50:47  baggins
- updated to 1.1.3

Revision 1.7  1999/07/20 11:04:33  baggins
- fixed usage of macros
- added/removed neccesary/obsolete patches
- FHS 2.0 compliance where needed
- gzipping docs where needed

Revision 1.6  1999/07/12 23:05:57  kloczek
- added using CVS keywords in %changelog (for automating them).

* Tue Apr 01 1999 Michael Fulbright <drmike@redhat.com>
- version 1.1.3

* Fri Mar 19 1999 Michael Fulbright <drmike@redhat.com>
- strip binaries

* Fri Mar 12 1999 Michael Fulbright <drmike@redhat.com>
- version 1.1.2
- doesnt work with GNOME session management, disabling GNOME support

* Sun Mar 06 1999 Michael Fulbright <drmike@redhat.com>
- version 1.1.1

* Fri Feb 19 1999 Michael Fulbright <drmike@redhat.com>
- version 1.1.0

* Fri Jan 22 1999 Michael Fulbright <drmike@redhat.com>
- first attempt at spec file
